JACK-AUDIO-CONNECTION-KIT 0.125.0

Data Structures | Macros | Typedefs | Enumerations | Functions
control.h File Reference

JACK control API. More...

`#include <jack/jslist.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Data Structures
union | jackctl_parameter_value
| Type for parameter value. More...

## Macros
#define | JACK_PARAM_MAX (JackParamBool + 1)
| Max value that jackctl_param_type_t type can have. More...
#define | JACK_PARAM_STRING_MAX 127
| Max length of string parameter value, excluding terminating null char. More...

## Typedefs
typedef struct jackctl_server | jackctl_server_t
typedef struct jackctl_driver | jackctl_driver_t
typedef struct jackctl_internal | jackctl_internal_t
typedef struct jackctl_parameter | jackctl_parameter_t

## Enumerations
enum | jackctl_param_type_t { JackParamInt = 1, JackParamUInt, JackParamChar, JackParamString, JackParamBool }

## Functions
sigset_t | jackctl_setup_signals (unsigned int flags)
void | jackctl_wait_signals (sigset_t signals)
jackctl_server_t * | jackctl_server_create (bool(*on_device_acquire)(const char *device_name), void(*on_device_release)(const char *device_name))
void | jackctl_server_destroy (jackctl_server_t *server)
bool | jackctl_server_start (jackctl_server_t *server, jackctl_driver_t *driver)
bool | jackctl_server_stop (jackctl_server_t *server)
const JSList * | jackctl_server_get_drivers_list (jackctl_server_t *server)
const JSList * | jackctl_server_get_parameters (jackctl_server_t *server)
const JSList * | jackctl_server_get_internals_list (jackctl_server_t *server)
bool | jackctl_server_load_internal (jackctl_server_t *server, jackctl_internal_t *internal)
bool | jackctl_server_unload_internal (jackctl_server_t *server, jackctl_internal_t *internal)
bool | jackctl_server_add_slave (jackctl_server_t *server, jackctl_driver_t *driver)
bool | jackctl_server_remove_slave (jackctl_server_t *server, jackctl_driver_t *driver)
bool | jackctl_server_switch_master (jackctl_server_t *server, jackctl_driver_t *driver)
const char * | jackctl_driver_get_name (jackctl_driver_t *driver)
const JSList * | jackctl_driver_get_parameters (jackctl_driver_t *driver)
const char * | jackctl_internal_get_name (jackctl_internal_t *internal)
const JSList * | jackctl_internal_get_parameters (jackctl_internal_t *internal)
const char * | jackctl_parameter_get_name (jackctl_parameter_t *parameter)
const char * | jackctl_parameter_get_short_description (jackctl_parameter_t *parameter)
const char * | jackctl_parameter_get_long_description (jackctl_parameter_t *parameter)
jackctl_param_type_t | jackctl_parameter_get_type (jackctl_parameter_t *parameter)
char | jackctl_parameter_get_id (jackctl_parameter_t *parameter)
bool | jackctl_parameter_is_set (jackctl_parameter_t *parameter)
bool | jackctl_parameter_reset (jackctl_parameter_t *parameter)
union jackctl_parameter_value | jackctl_parameter_get_value (jackctl_parameter_t *parameter)
bool | jackctl_parameter_set_value (jackctl_parameter_t *parameter, const union jackctl_parameter_value *value_ptr)
union jackctl_parameter_value | jackctl_parameter_get_default_value (jackctl_parameter_t *parameter)
bool | jackctl_parameter_has_range_constraint (jackctl_parameter_t *parameter)
bool | jackctl_parameter_has_enum_constraint (jackctl_parameter_t *parameter)
uint32_t | jackctl_parameter_get_enum_constraints_count (jackctl_parameter_t *parameter)
union jackctl_parameter_value | jackctl_parameter_get_enum_constraint_value (jackctl_parameter_t *parameter, uint32_t index)
const char * | jackctl_parameter_get_enum_constraint_description (jackctl_parameter_t *parameter, uint32_t index)
void | jackctl_parameter_get_range_constraint (jackctl_parameter_t *parameter, union jackctl_parameter_value *min_ptr, union jackctl_parameter_value *max_ptr)
bool | jackctl_parameter_constraint_is_strict (jackctl_parameter_t *parameter)
bool | jackctl_parameter_constraint_is_fake_value (jackctl_parameter_t *parameter)
void | jack_error (const char *format,...)
void | jack_info (const char *format,...)
void | jack_log (const char *format,...)

## Detailed Description

JACK control API.

## Macro Definition Documentation

## ◆ JACK_PARAM_MAX

#define JACK_PARAM_MAX (JackParamBool + 1)

Max value that jackctl_param_type_t type can have.

## ◆ JACK_PARAM_STRING_MAX

#define JACK_PARAM_STRING_MAX 127

Max length of string parameter value, excluding terminating null char.

## Typedef Documentation

## ◆ jackctl_driver_t

typedef struct jackctl_driver jackctl_driver_t

opaque type for driver object

## ◆ jackctl_internal_t

typedef struct jackctl_internal jackctl_internal_t

opaque type for internal client object

## ◆ jackctl_parameter_t

typedef struct jackctl_parameter jackctl_parameter_t

opaque type for parameter object

## ◆ jackctl_server_t

typedef struct jackctl_server jackctl_server_t

opaque type for server object

## Enumeration Type Documentation

## ◆ jackctl_param_type_t

enum jackctl_param_type_t

Parameter types, intentionally similar to jack_driver_param_type_t

Enumerator
JackParamInt | value type is a signed integer
JackParamUInt | value type is an unsigned integer
JackParamChar | value type is a char
JackParamString | value type is a string with max size of JACK_PARAM_STRING_MAX+1 chars
JackParamBool | value type is a boolean